{{$interface := (index site.Data (print .model ".model"))}}
{{range $i, $v := .rows}}
<div class="row pt-1">
  {{range $v.cols}}
  <div class="col-{{default 3 .span}} fw-bold">
    {{if .fieldName}}
    {{$field := (index $interface.fields .fieldName)}}
    {{default (humanize .fieldName) $field.label}}
    {{end}}
  </div>
  {{end}}
</div>
<div class="row pb-1">
  {{range $v.cols}}
  <div class="col-{{default 3 .span}}">
    {{if .name}}
    {{partial .name (merge . (dict "name" (print $.name "_" $i) "readonly" $.readonly))}}
    {{else}}
    {{$field := (index $interface.fields .fieldName)}}
    {{partial "field" (merge $field (dict "name" .fieldName "readonly" $.readonly))}}
    {{end}}
  </div>
  {{end}}
</div>
{{end}}
